Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 145169 - firstboot runs on runlevel change
Summary: firstboot runs on runlevel change
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: firstboot
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Lumens
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2005-01-14 22:40 UTC by Bill Nottingham
Modified: 2014-03-17 02:51 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-02-06 16:53:45 UTC


Attachments (Terms of Use)

Description Bill Nottingham 2005-01-14 22:40:57 UTC
Boot in runlevel 5 on first boot.

firstboot fails (b/c X is busted on this box.

Log in.

Run 'telinit 3'.

Textmode firstboot then tries to run on the same terminal I ran
telinit from, with predictably bad results.

Comment 1 Chris Lumens 2005-10-11 17:20:54 UTC
Right, this is because firstboot didn't run to completion in runlevel 5 yet so
it didn't write out /etc/sysconfig/firstboot, so it'll try to run again. 
Suggestions?

Comment 2 Bill Nottingham 2005-10-17 18:48:25 UTC
Not sure. Perhaps it should unilaterally open a new terminal in text mode, so it
least can work right?


Note You need to log in before you can comment on or make changes to this bug.